---

version: "3"

services:
  lumi2:
    container_name: lumi2
    build:
      context: .
      args:
        LUMI2_UID: 1000
        LUMI2_GID: 1000
    volumes:
      - ./config.py/:/app/config.py:ro
    environment:
      - LUMI2_CONFIG=/app/config.py
    ports:
      - "8000:80"
    depends_on:
      - openldap
  openldap:
    container_name: openldap
    image: osixia/openldap
    restart: unless-stopped
    volumes:
      - ./data/openldap/data:/var/lib/ldap
      - ./data/openldap/config:/etc/ldap/slapd.d
    hostname: openldap
    expose:
      - 389
    environment:
      LDAP_ORGANISATION: "Example Inc."
      LDAP_DOMAIN: "example.com"
      LDAP_ADMIN_PASSWORD: "admin"
      LDAP_CONFIG_PASSWORD: "admin"
      LDAP_TLS_VERIFY_CLIENT: "never"

...
